SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001735SiT!plugin hookspublic2011-10-11 08:432012-07-07 18:10
Reporternicdev 
Assigned Tonicdev 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.65 LTS 
Target Version3.66 LTSFixed in Version3.66 LTS 
Summary0001735: Add 2 new plugin contexts to incident_details.php for plugins to access each incident update
DescriptionOn the incident_details.php page I have created some plugins that can add some functionality to each incident update depending on it's type (email, emailin etc.).

For this we need to have a plugin hook in each update's "header" and "update" area. (See the screenshot attached).

This way it is possible for us to add some links .etc for our plugins.
Additional InformationWhat we suggest is as follows:
1. Inside the <div> 'detailhead' -
"plugin_do ('incident_details_iupdate_head');"
just before the closing if the DIV tag for the update header thus just before
line 766 of incident_detail.php:
"766 echo "</div>\n";"

2. Just after line 766 and just before the next <div> of the update body:
        
plugin_do ('incident_details_iupdate_entry');
thus in effect we will have:

766 plugin_do ('incident_details_iupdate_head');
767 echo "</div>\n";
768 plugin_do ('incident_details_iupdate_entry');
TagsNo tags attached.
Attached Filespng file icon Image 097.png [^] (36,279 bytes) 2011-10-11 08:43

- Relationships

-  Notes
User avatar (0004330)
ivan (administrator)
2011-10-13 16:32

Confirming this but would prefer to use these names

incident_details_update_content_row

and

incident_details_updatehead_content_row
User avatar (0004331)
nicdev (developer)
2011-10-19 08:59

Already fixed in svn 3.x:
http://sitracker.svn.sourceforge.net/viewvc/sitracker?view=revision&revision=7438 [^]

still to be ported to GiT, 3.9x
User avatar (0004364)
nicdev (developer)
2011-12-14 20:28

Ported to Git:
https://gitorious.org/sit/sit/commit/a7a4aef61f9f0223e3ed56a639bfd645cf42404a [^]
User avatar (0004365)
nicdev (developer)
2011-12-14 20:30

SVN commit 7438 and Git a7a4aef6

- Issue History
Date Modified Username Field Change
2011-10-11 08:43 nicdev New Issue
2011-10-11 08:43 nicdev File Added: Image 097.png
2011-10-13 16:32 ivan Note Added: 0004330
2011-10-13 16:32 ivan Status new => confirmed
2011-10-13 16:33 ivan Target Version => 3.66 LTS
2011-10-13 16:35 ivan Assigned To => nicdev
2011-10-13 16:35 ivan Status confirmed => assigned
2011-10-19 08:59 nicdev Note Added: 0004331
2011-12-14 20:28 nicdev Note Added: 0004364
2011-12-14 20:30 nicdev Note Added: 0004365
2011-12-14 20:30 nicdev Status assigned => resolved
2011-12-14 20:30 nicdev Fixed in Version => Current GIT
2011-12-14 20:30 nicdev Resolution open => fixed
2012-07-07 18:10 ivan Fixed in Version Current GIT => 3.66 LTS
2012-07-07 18:10 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker